Python - Get Upstreaming Behavior

Get the upstreaming behavior of a package within the context of a feed

GET https://pkgs.dev.azure.com/{organization}/{project}/_apis/packaging/feeds/{feedId}/pypi/packages/{packageName}/upstreaming?api-version=7.1-preview.1

URI Parameters

Name In Required Type Description
feedId
path True
  • string

The name or id of the feed

organization
path True
  • string

The name of the Azure DevOps organization.

packageName
path True
  • string

The name of the package

project
path
  • string

Project ID or project name

api-version
query True
  • string

Version of the API to use. This should be set to '7.1-preview.1' to use this version of the api.

Responses

Name Type Description
200 OK

successful operation

Security

oauth2

Type: oauth2
Flow: accessCode
Authorization URL: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL: https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

Scopes

Name Description
vso.packaging Grants the ability to read feeds and packages. Also grants the ability to search packages.

Definitions

UpstreamingBehavior

Describes upstreaming behavior for a given feed/protocol/package

UpstreamVersionVisibility

Indicates whether external upstream versions should be considered for this package

UpstreamingBehavior

Describes upstreaming behavior for a given feed/protocol/package

Name Type Description
versionsFromExternalUpstreams

Indicates whether external upstream versions should be considered for this package

UpstreamVersionVisibility

Indicates whether external upstream versions should be considered for this package

Name Type Description
allowExternalVersions
  • string
auto
  • string